var SESSION_STATUS = Flashphoner.constants.SESSION_STATUS;
var STREAM_STATUS = Flashphoner.constants.STREAM_STATUS;
var session;

//Init Flashphoner API&Connect to WCS server over websockets
function init_api() {
    Flashphoner.init({});
	session = Flashphoner.createSession({
        urlServer: "wss://172.16.30.123:8443" //specify the address of your WCS
    }).on(SESSION_STATUS.ESTABLISHED, function(session) {
       console.log("ESTABLISHED");
	   playStream();
    });	
	clicking()    	
}

function clicking(){
	sound1Btn.onclick = playSound1;
	sound2Btn.onclick = playSound2;
}
//Playing mixed video stream 
function playStream() {
	var constraints = {
	audio: false,
	video: true
	};
    var options = {
        name: "mixedStream", //specify your mixed stream name
        display: document.getElementById("myVideo"),
		constraints: constraints
    };
    stream = session.createStream(options).on(STREAM_STATUS.PLAYING, function(stream) {
     });
    stream.play();
}
//Playing & mute stream1 audio 
function playSound1() {
	var constraints = {
	audio: true,
	video: false
	};
    var options = {
        name: "stream1", //specify your stream name
        display: document.getElementById("sound"),
		constraints: constraints
    };
    stream = session.createStream(options).on(STREAM_STATUS.PLAYING, function(stream) {
		stream.unmuteRemoteAudio();
		sound1Btn.value = "Mute Sound 1";
	});
    stream.play();
	sound1Btn.onclick = function() {
		sound1Btn.value = "Play Sound 1";
		stream.muteRemoteAudio();
		clicking();
	}
}
//Playing & mute stream2 audio
function playSound2() {
	var constraints = {
	audio: true,
	video: false
	};
    var options = {
        name: "stream2", //specify your stream name
        display: document.getElementById("sound"),
		constraints: constraints
    };
    stream = session.createStream(options).on(STREAM_STATUS.PLAYING, function(stream) {
		stream.unmuteRemoteAudio();
		sound2Btn.value = "Mute Sound 2";
    });
    stream.play();
	sound2Btn.onclick = function() {
			sound2Btn.value = "Play Sound 2";
			stream.muteRemoteAudio();
			clicking();
		}
}